<!-- auth-page wrapper -->
<div
  class="auth-page-wrapper auth-bg-cover py-5 d-flex justify-content-center align-items-center min-vh-100"
>
  <div class="bg-overlay"></div>
  <!-- auth-page content -->
  <div class="auth-page-content overflow-hidden pt-lg-5">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="card overflow-hidden">
            <div class="row g-0">
              <div class="col-lg-6">
                <div class="p-lg-5 p-4 auth-one-bg h-100">
                  <div class="bg-overlay"></div>
                  <div class="position-relative h-100 d-flex flex-column">
                    <div class="mb-4">
                      <a routerLink="" class="d-block">
                        <img
                          src="assets/images/logo-light.png"
                          alt=""
                          height="18"
                        />
                      </a>
                    </div>
                    <div class="mt-auto">
                      <div class="mb-3">
                        <i
                          class="ri-double-quotes-l display-4 text-success"
                        ></i>
                      </div>

                      <ngb-carousel
                        [showNavigationArrows]="showNavigationArrows"
                      >
                        <ng-template ngbSlide>
                          <div
                            class="carousel-inner text-center text-white-50 pb-5"
                          >
                            <div class="carousel-item active">
                              <p class="fs-15 fst-italic">
                                " Great! Clean code, clean design, easy for
                                customization. Thanks very much! "
                              </p>
                            </div>
                          </div>
                        </ng-template>
                        <ng-template ngbSlide>
                          <div
                            class="carousel-inner text-center text-white-50 pb-5"
                          >
                            <div class="carousel-item active">
                              <p class="fs-15 fst-italic">
                                " The theme is really great with an amazing
                                customer support."
                              </p>
                            </div>
                          </div>
                        </ng-template>
                        <ng-template ngbSlide>
                          <div
                            class="carousel-inner text-center text-white-50 pb-5"
                          >
                            <div class="carousel-item active">
                              <p class="fs-15 fst-italic">
                                " Great! Clean code, clean design, easy for
                                customization. Thanks very much! "
                              </p>
                            </div>
                          </div>
                        </ng-template>
                      </ngb-carousel>
                      <!-- end carousel -->
                    </div>
                  </div>
                </div>
              </div>
              <!-- end col -->

              <div class="col-lg-6">
                <div class="p-lg-5 p-4">
                  <h5 class="text-primary">Create new password</h5>
                  <p class="text-muted">
                    Your new password must be different from previous used
                    password.
                  </p>

                  <div class="p-2">
                    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                      <div class="mb-3">
                        <label class="form-label" for="password-input"
                          >Password</label
                        >
                        <div class="position-relative auth-pass-inputgroup">
                          <input
                            [type]="passwordField ? 'text' : 'password'"
                            class="form-control pe-5 password-input"
                            placeholder="Enter password"
                            id="password-input"
                            aria-describedby="passwordInput"
                            pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
                            required
                            formControlName="password"
                            [ngClass]="{
                              'is-invalid': submitted && f['password'].errors
                            }"
                          />
                          <button
                            class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                            type="button"
                            id="password-addon"
                          >
                            <i
                              class="ri-eye-fill align-middle"
                              [ngClass]="{
                                'mdi-eye-off-outline': !passwordField,
                                'mdi-eye-outline': passwordField
                              }"
                              (click)="togglepasswordField()"
                            ></i>
                          </button>
                          <div
                            *ngIf="submitted && f['password'].errors"
                            class="invalid-feedback"
                          >
                            <span *ngIf="f['password'].errors['required']"
                              >Password is required</span
                            >
                          </div>
                        </div>
                        <div id="passwordInput" class="form-text">
                          Must be at least 8 characters.
                        </div>
                      </div>

                      <div class="mb-3">
                        <label class="form-label" for="confirm-password-input"
                          >Confirm Password</label
                        >
                        <div
                          class="position-relative auth-pass-inputgroup mb-3"
                        >
                          <input
                            [type]="confirmField ? 'text' : 'password'"
                            class="form-control pe-5 password-input"
                            placeholder="Confirm password"
                            pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
                            id="confirm-password-input"
                            required
                            formControlName="cpassword"
                            [ngClass]="{
                              'is-invalid': submitted && f['cpassword'].errors
                            }"
                          />
                          <button
                            class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                            type="button"
                            id="confirm-password-input"
                          >
                            <i
                              class="ri-eye-fill align-middle"
                              [ngClass]="{
                                'mdi-eye-off-outline': !passwordField,
                                'mdi-eye-outline': passwordField
                              }"
                              (click)="toggleconfirmField()"
                            ></i>
                          </button>
                          <div
                            *ngIf="submitted && f['cpassword'].errors"
                            class="invalid-feedback"
                          >
                            <span *ngIf="f['cpassword'].errors['required']"
                              >Confirm Password is required</span
                            >
                          </div>
                        </div>
                      </div>

                      <div
                        id="password-contain"
                        class="p-3 bg-light mb-2 rounded"
                      >
                        <h5 class="fs-13">Password must contain:</h5>
                        <p id="pass-length" class="invalid fs-12 mb-2">
                          Minimum <b>8 characters</b>
                        </p>
                        <p id="pass-lower" class="invalid fs-12 mb-2">
                          At <b>lowercase</b> letter (a-z)
                        </p>
                        <p id="pass-upper" class="invalid fs-12 mb-2">
                          At least <b>uppercase</b> letter (A-Z)
                        </p>
                        <p id="pass-number" class="invalid fs-12 mb-0">
                          A least <b>number</b> (0-9)
                        </p>
                      </div>

                      <div class="form-check">
                        <input
                          class="form-check-input"
                          type="checkbox"
                          value=""
                          id="auth-remember-check"
                        />
                        <label
                          class="form-check-label"
                          for="auth-remember-check"
                          >Remember me</label
                        >
                      </div>

                      <div class="mt-4">
                        <button class="btn btn-success w-100" type="submit">
                          Reset Password
                        </button>
                      </div>
                    </form>
                  </div>

                  <div class="mt-5 text-center">
                    <p class="mb-0">
                      Wait, I remember my password...
                      <a
                        routerLink="/auth/signin/cover"
                        class="fw-semibold text-primary text-decoration-underline"
                      >
                        Click here
                      </a>
                    </p>
                  </div>
                </div>
              </div>
              <!-- end col -->
            </div>
            <!-- end row -->
          </div>
          <!-- end card -->
        </div>
        <!-- end col -->
      </div>
      <!-- end row -->
    </div>
    <!-- end container -->
  </div>
  <!-- end auth page content -->

  <!-- footer -->
  <footer class="footer">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="text-center">
            <p class="mb-0">&copy; {{ year }} veszter</p>
          </div>
        </div>
      </div>
    </div>
  </footer>
  <!-- end Footer -->
</div>
<!-- end auth-page-wrapper -->
